package org.gcube.portlets.user.workspace.client.event;

import com.google.gwt.event.shared.GwtEvent;

public class AddSmartFolderEvent extends GwtEvent<AddSmartFolderEventHandler>{
	public static Type<AddSmartFolderEventHandler> TYPE = new Type<AddSmartFolderEventHandler>();

	private String smartFolderName;
	private String searchText;
	private String workpaceFolderId;
	private String description;
	
//	public AddSmartFolderEvent(String smartFolderName, String searchText, String workpaceFolderId) {
//
//		this.smartFolderName = smartFolderName;
//		this.searchText = searchText;
//		this.workpaceFolderId = workpaceFolderId;
//	}

	public AddSmartFolderEvent(String searchText) {
		this.searchText = searchText;
	}

	@Override
	public Type<AddSmartFolderEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(AddSmartFolderEventHandler handler) {
		handler.onSaveSmartFolder(this);
		
	}

	public String getSmartFolderName() {
		return smartFolderName;
	}

	public String getSearchText() {
		return searchText;
	}

	public String getWorkpaceFolderId() {
		return workpaceFolderId;
	}

	
	public void setSmartFolderName(String smartFolderName) {
		this.smartFolderName = smartFolderName;
	}

	public void setWorkpaceFolderId(String workpaceFolderId) {
		this.workpaceFolderId = workpaceFolderId;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
