/**
 * 
 */
package org.gcube.portlets.user.workspace.shared.accounting;

/**
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * @May 23, 2013
 * 
 */
public enum GxtAccountingEntryType {

	REMOVE("Removed", "removed"),

	RENAME("Renamed", "renamed"),

	CREATE("Created", "created"),

	PASTE("Pasted", "Pasted"),

	CUT("Cut", "cut"),

	READ("Read", "read"),
	
	ADD("Added", "added"),
	
	UPDATE("Updated", "updated"),
	
	SHARE("Shared", "shared"),
	
	UNSHARE("Unshared", "unshared"),
	
	ALL("all", "all"),
	
	ALLWITHOUTREAD("allwithoutread", "allwithoutread");

	private String id;
	private String name;

	GxtAccountingEntryType(String id, String name) {
		this.id = id;
		this.name = name;

	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
