package org.gcube.portlets.user.workspace.client.constant;

public enum WorkspaceOperation {

	INSERT_FOLDER("INS", "INS"), // Insert Folder
	ADD_ITEM("ADD", "ADD"), // Add Folder
	REMOVE("REM", "REM"), 
	UPLOAD_FILE("UPL", "UPL"), 
	DOWNLOAD("DWL", "DWL"), 
	PREVIEW("PRW", "PRW"), 
	RENAME("RNM", "RNM"), 
	INSERT_SHARED_FOLDER("ISHF", "ASHF"), // Insert shared Folder
	SHARE("SHR", "SHR"), // SHARE
	UNSHARE("USHR", "USHR"), // UNSHARE
	UPLOAD_ARCHIVE("UPA", "UPA"), // Upload Archive
	LINK("LNK", "LNK"), 
	SHOW("SHW", "SHW"), // SHOW
	ADD_URL("CLK", "CLK"), // Add Url
	OPEN_REPORT_TEMPLATE("ORT", "ORT"), // Open report template
	OPEN_REPORT("ORP", "ORP"), // Open report
	SENDTO("SDT", "SDT"), // Send to
	GET_NEW_MESSAGES("DWM", "DWM"), // Get all new messages
	CREATE_NEW_MESSAGE("CNM", "CNM"), // Create new message
	MARK_AS_READ("MKR", "MKR"), // Mark as read
	MARK_AS_UNREAD("MKNR", "MKNR"), // Mark as not read
	DELETE_MESSAGE("DLM", "DLM"), // Delete message
	FORWARD_MESSAGE("FWM", "FWM"), // Forward message
	COPY("CPI", "CPI"), // copy item
	PASTE("PSI", "PSI"), // paste
	REFRESH_FOLDER("RFH", "RFH"), // Refresh
	WEBDAV_URL("WDV", "WDV"), // WebDav
	GET_INFO("GTI", "GTI"), // GET INFO
	HISTORY("HST", "HST"), //HISTORY
	ACCREAD("ACR", "ACR"), //ACCOUNTING READ
	SHARE_LINK("SLK", "SLK"), //SHARE URL LINK
	PUBLIC_LINK("PLK", "PLK"); //PUBLIC LINK
	
	
//	//ID CONTEXT MENU
//	public static final String INS = "INS"; //Insert Folder
//	public static final String ADD = "ADD";
//	public static final String REM = "REM";
//	public static final String UPL = "UPL"; //Upload File
//	public static final String DWL = "DWL";
//	public static final String PRW = "PRW";
//	public static final String RNM = "RNM";
//	public static final String ISHF = "ASHF"; //Insert shared Folder
//	public static final String SHR = "SHR"; //SHARE
//	public static final String USHR = "USHR"; //UNSHARE
//	public static final String UPA = "UPA"; //Upload Archive
//	public static final String LNK = "LNK"; 
//	public static final String SHW = "SHW";
//	public static final String CLK = "CLK"; //Add Url
//	public static final String ORT = "ORT";	//Open report template
//	public static final String ORP = "ORP"; //Open report
//	public static final String SDT = "SDT"; //Send to
//	public static final String DWM = "DWN"; //Get all new messages
//	public static final String MKR = "MKR"; //Mark as read
//	public static final String MKNR = "MKNR"; //Mark as not read
//	public static final String DLM = "DLM"; //Delete message
//	public static final String FWM = "FWM"; //Forward message
//	public static final String CPI = "CPI"; //copy item
//	public static final String PSI = "PSI"; //paste
//	public static final String RFH = "RFH"; //Refresh
//	public static final String WDV = "WDV"; //WebDav
//	public static final String CNM = "CNM"; //Create new message
//	public static final String GTI = "GTI"; //GET INFO

	private String id; // ID CONTEXT MENU
	private String name;

	WorkspaceOperation(String id, String name) {
		this.id = id;
		this.name = name;
	}

	public String getId() {
		return id;
	}

	public String getName() {
		return name;
	}

}
